# Class VulkanComputeWorkGroupSize.Builder

java.lang.Object
com.io7m.jcoronado.api.VulkanComputeWorkGroupSize.Builder

Enclosing class:
  `VulkanComputeWorkGroupSize`

public static final class VulkanComputeWorkGroupSize.Builder extends Object
Builds instances of type `VulkanComputeWorkGroupSize`. Initialize attributes and then invoke the `build()` method to create an immutable instance.

`Builder` is not thread-safe and generally should not be stored in a field or collection, but instead used immediately to create instances.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `VulkanComputeWorkGroupSize`
  `build()`
  Builds a new `VulkanComputeWorkGroupSize`.
  `final VulkanComputeWorkGroupSize.Builder`
  `from(VulkanComputeWorkGroupSizeType instance)`
  Fill a builder with attribute values from the provided `VulkanComputeWorkGroupSizeType` instance.
  `final VulkanComputeWorkGroupSize.Builder`
  `setMaximumX(int maximumX)`
  Initializes the value for the `maximumX` attribute.
  `final VulkanComputeWorkGroupSize.Builder`
  `setMaximumY(int maximumY)`
  Initializes the value for the `maximumY` attribute.
  `final VulkanComputeWorkGroupSize.Builder`
  `setMaximumZ(int maximumZ)`
  Initializes the value for the `maximumZ` attribute.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### from

    public final VulkanComputeWorkGroupSize.Builder from(VulkanComputeWorkGroupSizeType instance)
    Fill a builder with attribute values from the provided `VulkanComputeWorkGroupSizeType` instance. Regular attribute values will be replaced with those from the given instance. Absent optional values will not replace present values.
    Parameters:
      `instance` - The instance from which to copy values
    Returns:
      `this` builder for use in a chained invocation

  - ### setMaximumX

    public final VulkanComputeWorkGroupSize.Builder setMaximumX(int maximumX)
    Initializes the value for the `maximumX` attribute.
    Parameters:
      `maximumX` - The value for maximumX
    Returns:
      `this` builder for use in a chained invocation

  - ### setMaximumY

    public final VulkanComputeWorkGroupSize.Builder setMaximumY(int maximumY)
    Initializes the value for the `maximumY` attribute.
    Parameters:
      `maximumY` - The value for maximumY
    Returns:
      `this` builder for use in a chained invocation

  - ### setMaximumZ

    public final VulkanComputeWorkGroupSize.Builder setMaximumZ(int maximumZ)
    Initializes the value for the `maximumZ` attribute.
    Parameters:
      `maximumZ` - The value for maximumZ
    Returns:
      `this` builder for use in a chained invocation

  - ### build

    public VulkanComputeWorkGroupSize build()
    Builds a new `VulkanComputeWorkGroupSize`.
    Returns:
      An immutable instance of VulkanComputeWorkGroupSize
    Throws:
      `IllegalStateException` - if any required attributes are missing